WordPress.org

Ready to get started?Download WordPress

Forums

Fast Secure Contact Form
CAPTCHA always says That CAPTCHA was incorrect. Try again. (15 posts)

  1. Mike Challis
    Member
    Plugin Author

    Posted 1 year ago #

    This problem does not effect everybody, nor is it a WP version issue. The only reason you would always get “That CAPTCHA was incorrect. Try again.” would be a PHP sessions issue.

    There is more than one possible cause, so if you are having this problem, see this help page:
    http://www.fastsecurecontactform.com/captcha-always-incorrect

    FAQ
    http://www.fastsecurecontactform.com/faq

    If you need help, please open a new topic!!

    http://wordpress.org/extend/plugins/si-contact-form/

  2. jimfromsd
    Member
    Posted 1 year ago #

    Your page says version 4.0 is imminent. Meanwhile, I downloaded 3.18.2 and it gives me the "That CAPTCHA was incorrect...." message. I was in a forum and you talk about all these session problems and PHP solutions and the like. Well, I would be willing to wait for version 4.0 but is there anywhere where I can get 3.18.1 which apparently works?

  3. philbo29
    Member
    Posted 1 year ago #

    Hi, I've got a similar issue...
    I've been through all the processes outlined in the other FAQ articles, but the captcha still fails...
    No plugins are interfering, the error still occurs with a different theme activated, register_globals are off...
    I've even tried moving my form data to the second form all to no avail.
    I'm not 100% sure when it stopped working, but probably the last two months? I had issues when I first installed it two years ago which seemed to magically vanish a few months later when I tried again to active the captcha.
    The page is http://www.lifefm.com.au/contact
    Any help would be appreciated, otherwise I'll have to move to a different form that will hopefully work...

    Here are the errors I'm getting when debugging is turned on:

    Warning: include(/home2/lifemorg/public_html/wp/wp-content/advanced-cache.php) [function.include]: failed to open stream: No such file or directory in /home2/lifemorg/public_html/wp/wp-settings.php on line 58

    Warning: include() [function.include]: Failed opening '/home2/lifemorg/public_html/wp/wp-content/advanced-cache.php' for inclusion (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home2/lifemorg/public_html/wp/wp-settings.php on line 58

    Notice: Undefined index: fsc_shortcode_email_to_1 in /home2/lifemorg/public_html/wp/wp-content/plugins/si-contact-form/si-contact-form-process.php on line 182

    Notice: get_theme_data is deprecated since version 3.4! Use wp_get_theme() instead. in /home2/lifemorg/public_html/wp/wp-includes/functions.php on line 2839 - See more at: http://lifefm.com.au/contact#FSContact1

  4. Mike Challis
    Member
    Plugin Author

    Posted 1 year ago #

    philbo29, looks like you have a broken cache plugin, you might want to update or uninstall. Also your theme could be out of date, check that also.

    The error in the form process is just a minor notice, it is already fixed for the next version.

    Version 4.0 will not use PHP sessions anymore by default, this means that if you were having captcha problems related to sessions it might work better.
    So please try it when it is released, a beta will be soon.
    let me know if it fixes it.

    Perhaps you can wait for the 4.0 version or revert to an older one.
    3.1.6 might work, the link below has instructions to install the older version
    http://www.fastsecurecontactform.com/revert-to-previous-version

  5. bwoff
    Member
    Posted 1 year ago #

    just uploaded my new version 3.1.8.3 and keep getting the captcha error message. I thought we fixed this in last version? I am using wp 3.5.2 .

    this is my page. please check it out and see if you can help. if its too much trouble I will just delete it and try another form. this one has been a lot of work.

  6. bwoff
    Member
    Posted 1 year ago #

    ok... guess I will detete it and look for another form. I've no idea how to fix it and I don't want people getting frustrated with error after error when they know they have entered the proper code.

  7. Mike Challis
    Member
    Plugin Author

    Posted 1 year ago #

    There is more than one possible cause, so if you are having this problem, see this help page:
    http://www.fastsecurecontactform.com/captcha-always-incorrect

    Version 4.0 will not use PHP sessions anymore by default, this means that if you were having captcha problems related to sessions it might work better.
    So please try it when it is released, a beta will be soon.
    let me know if it fixes it.

    Perhaps you can wait for the 4.0 version or revert to an older one.
    3.1.6 might work, the link below has instructions to install the older version
    http://www.fastsecurecontactform.com/revert-to-previous-version

  8. bwoff
    Member
    Posted 1 year ago #

    I went ahead and deactivated this version. I am worn out with having to keep diagnosing different plugin problems, so I am going to use only the ones I absolutely have to, and that work with what I have.

    if you have a mailing list for the 4.0 beta, let me know and I will gladly give it a try. I won't delete the plugin just yet, so maybe wp will give me a notice when 4.0 is ready.

  9. Ken of Kentropolis
    Member
    Posted 1 year ago #

    Maybe we could do some crowdfunding?

    I would gladly contribute to speed up the process if I knew what it would take to make it worth your while.

    I've been kinda holding my breath on some Multi-Sites and need to decide to use another plugin if it will be more than another month.

  10. Mike Challis
    Member
    Plugin Author

    Posted 1 year ago #

    The 4.0 version will be out in beta maybe this weekend

  11. Mike Challis
    Member
    Plugin Author

    Posted 1 year ago #

    Also try to whitelist your contact page to bypass caching in CACHE plugins like W3 Total Cache

  12. nighteagle
    Member
    Posted 1 year ago #

    Hello I have WordPress network (with domain mapping) and have Fast secure contact form network enabled.

    The main site web-dnes.com has no problem with the captcha code (http://www.web-dnes.com/%D0%BA%D0%BE%D0%BD%D1%82%D0%B0%D0%BA%D1%82%D0%B8/)
    But site gh-consult.eu retarns always captcha error (http://gh-consult.eu/%D0%BA%D0%BE%D0%BD%D1%82%D0%B0%D0%BA%D1%82%D0%B8/)

    I have registed globals set to OFF

    Enabling the WP_DEBUG i have the following error messages:

    Notice: wpdb::escape is deprecated since version 3.6! Use wpdb::prepare() or esc_sql() instead. in /home/webdnes/public_html/wp-includes/functions.php on line 2876
    Notice: wp_enqueue_script was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /home/webdnes/public_html/wp-includes/functions.php on line 3012
    Notice: wp_enqueue_style was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /home/webdnes/public_html/wp-includes/functions.php on line 3012
    Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /home/webdnes/public_html/wp-includes/functions.php:2876) in /home/webdnes/public_html/wp-content/plugins/si-contact-form/si-contact-form.php on line 1949
    Notice: wpdb::escape вече не трябва да се използва след версия 3.6! Заменена е от wpdb::prepare() or esc_sql(). in /home/webdnes/public_html/wp-includes/functions.php on line 2871 (this means => Notice: wpdb::escape shouldn't be used any more after version 3.6! it was replaced by wpdb::prepare() or esc_sql(). in /home/webdnes/public_html/wp-includes/functions.php on line 2871)

    I have the all these errors on the both web sites, but the main one captcha works and the second one returns errors each time

  13. nighteagle
    Member
    Posted 1 year ago #

    in addition to my previous post...

    I've tried the contact form disabling the domain mapping (I don't access the site under gh-consult.eu but using gh-consult.web-dnes.com) and the captacha code was accepted.

  14. Mike Challis
    Member
    Plugin Author

    Posted 1 year ago #

    Anybody who has “That CAPTCHA was incorrect. Try again.” can try the version 4.0 beta
    http://www.fastsecurecontactform.com/beta

    The error was a PHP sessions issue, and with version 4.0, PHP Sessions are no longer enabled by default allowing for best compatibility with servers, caching, themes, and other plugins. This should resolve any PHP sessions related issues some users had.

    nighteagle, if you try the beta, please let me know if it works with the domain mapping feature

  15. nighteagle
    Member
    Posted 1 year ago #

    I've got a support ticket by my hosting providers and the guys fixed the problems with the session. But the problem continues...

    Obviously the problem is with the domain mapping

    @ Mike will try to install the beta this week and see

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.